PUT /api/fleet/cloud_connectors/{cloudConnectorId}

Spaces method and path for this operation:

put /s/{space_id}/api/fleet/cloud_connectors/{cloudConnectorId}

Refer to Spaces for more information.

Update a cloud connector by ID.

[Required authorization] Route required privileges: fleet-agent-policies-all OR integrations-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • cloudConnectorId string Required

    The unique identifier of the cloud connector to update.

application/json

Body

  • accountType string

    The account type: single-account (single account/subscription) or organization-account (organization-wide).

    Values are single-account or organization-account.

  • name string

    The name of the cloud connector.

    Minimum length is 1, maximum length is 255.

  • vars object

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • item object Required

      Additional properties are NOT allowed.

      Hide item attributes Show item attributes object
      • accountType string
      • cloudProvider string Required
      • created_at string Required
      • id string Required
      • name string Required
      • namespace string
      • packagePolicyCount number Required
      • updated_at string Required
      • vars object Required
      • verification_failed_at string
      • verification_started_at string
      • verification_status string
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
PUT /api/fleet/cloud_connectors/{cloudConnectorId}
curl \
 --request PUT 'https://<KIBANA_URL>/api/fleet/cloud_connectors/{cloudConnectorId}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"name":"Updated AWS connector","vars":{}}'
Request example
Update a Fleet cloud connector
{
  "name": "Updated AWS connector",
  "vars": {}
}
Response examples (200)
The updated Fleet cloud connector
{
  "item": {
    "accountType": "single-account",
    "cloudProvider": "aws",
    "created_at": "2024-01-15T10:00:00.000Z",
    "id": "cloud-connector-id-1",
    "name": "Updated AWS connector",
    "packagePolicyCount": 2,
    "updated_at": "2024-01-15T11:00:00.000Z",
    "vars": {}
  }
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}